| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Public Member Functions | Private Types | Private Attributes | List of all members
Gaudi::Utils::GetOrCreateData< Gaudi::Range_< std::vector< const TYPE * > >, TYPE2 > Struct Template Reference

`#include <GaudiAlg/GetData.h>`

## Public Types
typedef Getter::Type | Type
typedef Getter::return_type | return_type
| the actual return type More...

## Public Member Functions
template<class COMMON >
return_type | operator() (const COMMON &common, IDataProviderSvc *service, const std::string &location, const std::string &location2) const
| the only one essential method More...

## Private Types
typedef Gaudi::Range_< std::vector< const TYPE * > > | Range
typedef GetData< Range > | Getter
| the actual data getter More...
typedef CheckData< Range > | Checker
| the actual data checker More...

## Private Attributes
Getter | m_getter
| the actual data getter More...

## Detailed Description

### template<class TYPE, class TYPE2>
struct Gaudi::Utils::GetOrCreateData< Gaudi::Range_< std::vector< const TYPE * > >, TYPE2 >

Definition at line 436 of file GetData.h.

## Member Typedef Documentation

## ◆ Checker

template<class TYPE , class TYPE2 >

typedef CheckData<Range> Gaudi::Utils::GetOrCreateData< Gaudi::Range_< std::vector< const TYPE * > >, TYPE2 >::Checker
| private

the actual data checker

Definition at line 443 of file GetData.h.

## ◆ Getter

template<class TYPE , class TYPE2 >

typedef GetData<Range> Gaudi::Utils::GetOrCreateData< Gaudi::Range_< std::vector< const TYPE * > >, TYPE2 >::Getter
| private

the actual data getter

Definition at line 441 of file GetData.h.

## ◆ Range

template<class TYPE , class TYPE2 >

typedef Gaudi::Range_<std::vector<const TYPE*> > Gaudi::Utils::GetOrCreateData< Gaudi::Range_< std::vector< const TYPE * > >, TYPE2 >::Range
| private

Definition at line 439 of file GetData.h.

## ◆ return_type

template<class TYPE , class TYPE2 >

typedef Getter::return_type Gaudi::Utils::GetOrCreateData< Gaudi::Range_< std::vector< const TYPE * > >, TYPE2 >::return_type

the actual return type

Definition at line 449 of file GetData.h.

## ◆ Type

template<class TYPE , class TYPE2 >

typedef Getter::Type Gaudi::Utils::GetOrCreateData< Gaudi::Range_< std::vector< const TYPE * > >, TYPE2 >::Type

Definition at line 447 of file GetData.h.

## Member Function Documentation

## ◆ operator()()

template<class TYPE , class TYPE2 >
template<class COMMON >

return_type Gaudi::Utils::GetOrCreateData< Gaudi::Range_< std::vector< const TYPE * > >, TYPE2 >::operator() | ( | const COMMON & | common,
|  | IDataProviderSvc * | service,
|  | const std::string & | location,
|  | const std::string & | location2
| ) |  | const
| inline

the only one essential method

Parameters

  common | the actual "worker"
  service | pointer to Data Provider Service
  location | location of objects in TES

Returns
  the data

Definition at line 460 of file GetData.h.

461 {
462 DataObject* obj = m_getter.getData( service, location );
463 if ( !obj ) {
464 common.put( service, std::make_unique<TYPE2>(), location2 );
465 if ( common.msgLevel( MSG::DEBUG ) ) {
466 common.debug() << "The object of type '" << System::typeinfoName( typeid( TYPE2 ) )
467 << "' has been created from TS at address '" << location2 << "'" << endmsg;
468 }
469 }
470 return m_getter( common, service, location );
471 // ====================================================================
472 }
Gaudi::Utils::GetOrCreateData< Gaudi::Range_< std::vector< const TYPE * > >, TYPE2 >::m_getter
Getter m_getter
the actual data getter
Definition: GetData.h:477
System::typeinfoName
GAUDI_API const std::string typeinfoName(const std::type_info &)
Get platform independent information about the class type.
Definition: System.cpp:298
GaudiPython.HistoUtils.location
location
Definition: HistoUtils.py:936
MSG::DEBUG
Definition: IMessageSvc.h:15
DataObject
A DataObject is the base class of any identifiable object on any data store.
Definition: DataObject.h:30
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:192

## Member Data Documentation

## ◆ m_getter

template<class TYPE , class TYPE2 >

Getter Gaudi::Utils::GetOrCreateData< Gaudi::Range_< std::vector< const TYPE * > >, TYPE2 >::m_getter
| private

the actual data getter

Definition at line 477 of file GetData.h.

The documentation for this struct was generated from the following file:

- GaudiAlg/GaudiAlg/GetData.h